#include <iostream>
#include <cmath>

using namespace std;

struct POlong long
{
    long long X;
    long long Y;

    POlong long(long long _X, long long _Y)
    {
        X = _X;
        Y = _Y;
    }

    POlong long()
    {
        X = 0;
        Y = 0;
    }

    void Enter()
    {
        cin >> X;
        cin >> Y;
    }
};

long long P(long long A, long long B)
{
    return max(B - A + 1, 0);
}

long long Answer(POlong long P1, POlong long P2, long long A, long long B)
{
    long long AbsX = abs(P1.X - P2.X);
    long long AbsY = abs(P1.Y - P2.Y);

    return P(AbsX, A) * P(AbsY, B);
}

int main()
{
    long long N;
    cin >> N;

    for (long long i = 0; i < N; i++)
    {
        POlong long P1;
        POlong long P2;

        long long A;
        long long B;

        P1.Enter();
        P2.Enter();

        cin >> A;
        cin >> B;

        cout << Answer(P1, P2, A, B) << endl;
    }
}
